Subject: bug#11985: 24.1; fit-window-to-buffer does not grab whole frame

From: martin rudalics <[email-masked]>
Date: Thu, 19 Jul 2012 12:42:14 +0200

> Start emacs -Q. Visit a file larger than the current frame.
 > Split the frame, Display other stuff in second window.
 > Select the window with the large file.
 > Eval
 >
 >   (fit-window-to-buffer (selected-window))
 >
 > Expected result: The window should grab the whole frame. From the
 > docstring of fit-window-to-buffer
 >
 >   Optional argument MAX-HEIGHT specifies the maximum height of
 >   WINDOW and defaults to the height of WINDOW's frame.
 >
 > Remarks:
 > (1) This works as documented with GNU Emacs 23.1.
 >     -- Of course, the old behavior was counterintuitive in the sense
 >     that the name of fit-window-to-buffer refers to windows, not to
 >     frames. But an incompatible change in behavior should be
 >     documented.

 From NEWS:

*** Window resizing functions.
A new standard function for resizing windows called `window-resize' has
been introduced.  This and all other functions for resizing windows no
longer delete any windows when they become too small.

 > (2) I suggest that the elisp manual should also mention the default
 >     values of MAX-HEIGHT and MIN-HEIGHT (as in the docstring).

OK.

 > (3) The relation between the new arg OVERRIDE (not present in Emacs
 >     23.1) and window-min-height and window-min-width is not clear to
 >     me.

Neither to me.

 > If MIN-HEIGHT is non-nil, shouldn't this already ignore
 >     window-min-height?

Sounds reasonable, indeed.

 > Also, if OVERRIDE is nil, what is the
 >     relevance of window-min-width? I expect fit-window-to-buffer is
 >     supposed to obey window-min-width. But it would clarify things
 >     if this was spelled out.

`window-min-width' shouldn't be mentioned at all.

I'll look into this.  If you have any ideas what this function should
_do_ better, please tell me.

martin